Skip to main content
PATCH
/
declarations
/
transit
/
{declarationId}
/
declaration-guarantees
Update declaration guarantees
curl --request PATCH \
  --url https://devapi.eazecustoms.com/staging/declarations/transit/{declarationId}/declaration-guarantees \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "guaranteeType": "<string>",
  "guaranteeReferenceNumber": "<string>",
  "guaranteeAmount": 123,
  "currencyCode": "<string>",
  "accessCode": "<string>"
}
'
{
  "declarationId": 104,
  "status": "processing"
}
Update the declaration guarantees for a transit declaration.

Path Parameters

declarationId
number
required
The unique declaration ID.

Request Body

An array of guarantee objects.
guaranteeType
string
required
The type code of the guarantee.
guaranteeReferenceNumber
string
required
The reference number of the guarantee.
guaranteeAmount
number
required
The amount of the guarantee.
currencyCode
string
required
The currency code (e.g. EUR).
accessCode
string
The access code associated with the guarantee.

Examples

Request Payload
[
  {
    "guaranteeType": "0",
    "guaranteeReferenceNumber": "25NL000000000000001",
    "guaranteeAmount": 55000,
    "currencyCode": "EUR",
    "accessCode": "1234"
  }
]
{
  "declarationId": 104,
  "status": "processing"
}